net.corda.core.crypto

## Class SecureHash.Companion

- net.corda.core.crypto.SecureHash.Companion

- Enclosing class:
    SecureHash

      public static class SecureHash.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash.SHA256` | `getZeroHash()`
    `SecureHash.SHA256` | `parse(java.lang.String str)`
    `SecureHash.SHA256` | `randomSHA256()`
    `SecureHash.SHA256` | `sha256(byte[] bytes)`
    `SecureHash.SHA256` | `sha256(java.lang.String str)`
    `SecureHash.SHA256` | `sha256Twice(byte[] bytes)`

- - ### Method Detail

    - #### parse

          public SecureHash.SHA256 parse(java.lang.String str)

    - #### sha256

          public SecureHash.SHA256 sha256(byte[] bytes)

    - #### sha256Twice

          public SecureHash.SHA256 sha256Twice(byte[] bytes)

    - #### sha256

          public SecureHash.SHA256 sha256(java.lang.String str)

    - #### randomSHA256

          public SecureHash.SHA256 randomSHA256()

    - #### getZeroHash

          public SecureHash.SHA256 getZeroHash()